%global dlrn_nvr novajoin_tempest_plugin-0.0.4.dev5-2.20220905184736.0df7e1c
%global dlrn 1
%define upstream_version 0.0.4.dev5
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service novajoin-tests-tempest
%global plugin novajoin-tempest-plugin
%global module novajoin_tempest_plugin
%global with_doc 0
%global common_desc \
This package contains Tempest tests to cover the Novajoin project. \
Additionally it provides a plugin to automatically load these tests \
into tempest.


%{!?upstream_version: %global upstream_version %{commit}}
%global commit d248df85887f6b38f73d162303f46eb96bc5eaec
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%{?dlrn: %global tarsources %{module}-%{upstream_version}}
%{!?dlrn: %global tarsources %{plugin}}

Name:       python-%{service}
Version: 0.0.4
Release: 2.20220905184736.0df7e1c%{?dist}
Summary:    Tempest Integration of Novajoin
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}

Source0: novajoin_tempest_plugin-0.0.4.dev5-2.20220905184736.0df7e1c.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=0df7e1c6b58ba108fcd38a0b5ea4e4f45e87a05d

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-six

Requires:   python%{pyver}-ipalib
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-log >= 3.36.0
Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-six >= 1.10.0
Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-ipaclient

# Handle python2 exception
%if %{pyver} == 2
Requires:   python-gssapi
%else
Requires:   python%{pyver}-gssapi
%endif

%description -n python%{pyver}-%{service}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-doc
Summary:        python-%{service} documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme

%description -n python-%{service}-doc
This package contains the documentation for the Novajoin tempest tests.
%endif

%prep
%autosetup -n %{tarsources} -S git

# remove requirements
%py_req_cleanup
# Remove bundled egg-info
rm -rf *.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx -b html
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}
%license LICENSE
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Mon Sep 05 2022 OSP Prod Chain <dev-null@redhat.com> 0.0.4-2.20220905184736.0df7e1c
- Update patches
- Revise cert tests to use principal names

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 0.0.4-2.20220111030233.b2e5485
- Update patches

* Mon Sep 27 2021 CPaaS User <cpaas-ops@redhat.com> - 0.0.4-2.20210527210838.b2e5485.2
- Bump release

* Thu Jun 03 2021 CPaaS User <cpaas-ops@redhat.com> - 0.0.4-2.20210527210838.b2e5485.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.4-2.20210527210838.b2e5485
- Update patches

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.4-2.20210507160009.b2e5485
- Update patches
- Deprecate scenario.img_dir option
- Required maintenance and fixing gates
- Remove use of deprecated config options for volume API selection


